Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control.GaphixStuff
Class GrButton

    java.lang.Object
      java.awt.Component
          java.awt.Canvas
              de.farafin.snEADy.control.GaphixStuff.GrButton

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public abstract class GrButton

extends java.awt.Canvas

Author:
  larsonmars TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Canvas
`java.awt.Canvas.AccessibleAWTCanvas`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected java.awt.image.BufferedImage` | `bImage`
`int` | `bMode`
`protected int` | `bState`
`static int` | `BUTTON_DISABLED`
`static int` | `BUTTON_NORMAL`
`static int` | `BUTTON_NORMALHOVERED`
`static int` | `BUTTON_PRESSED`
`static int` | `BUTTON_PRESSEDHOVERED`
`int` | `h`
`int` | `iData`
`static int` | `NORMALBUTTON`
`private int` | `oldBState`
`static int` | `TOGGLEBUTTON`
`int` | `w`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GrButton()`
`GrButton(int x, int y, int mode, int image, boolean enabled)`
`GrButton(int x, int y, int mode, int image, boolean enabled, int intData)`

Method Summary
`void` | `paint(java.awt.Graphics g)`
`void` | `repaint()`
`void` | `setEnabled(boolean arg0)`
`void` | `setToggle(boolean toggled, boolean grUpd)`
`abstract void` | `stateChanged(int state)`

Methods inherited from class java.awt.Canvas
`addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BUTTON_NORMAL

    public static final int BUTTON_NORMAL

See Also:
  Constant Field Values

### BUTTON_NORMALHOVERED

    public static final int BUTTON_NORMALHOVERED

See Also:
  Constant Field Values

### BUTTON_PRESSED

    public static final int BUTTON_PRESSED

See Also:
  Constant Field Values

### BUTTON_PRESSEDHOVERED

    public static final int BUTTON_PRESSEDHOVERED

See Also:
  Constant Field Values

### BUTTON_DISABLED

    public static final int BUTTON_DISABLED

See Also:
  Constant Field Values

### TOGGLEBUTTON

    public static final int TOGGLEBUTTON

See Also:
  Constant Field Values

### NORMALBUTTON

    public static final int NORMALBUTTON

See Also:
  Constant Field Values

### iData

    public int iData

### bMode

    public int bMode

### bState

    protected int bState

### oldBState

    private int oldBState

### bImage

    protected java.awt.image.BufferedImage bImage

### w

    public int w

### h

    public int h

Constructor Detail

### GrButton

    public GrButton()

### GrButton

    public GrButton(int x,
                    int y,
                    int mode,
                    int image,
                    boolean enabled)

### GrButton

    public GrButton(int x,
                    int y,
                    int mode,
                    int image,
                    boolean enabled,
                    int intData)

Method Detail

### setEnabled

    public void setEnabled(boolean arg0)

  Overrides:
    `setEnabled` in class `java.awt.Component`

### stateChanged

    public abstract void stateChanged(int state)

### setToggle

    public final void setToggle(boolean toggled,
                                boolean grUpd)

### repaint

    public void repaint()

  Overrides:
    `repaint` in class `java.awt.Component`

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `java.awt.Canvas`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD